#' converts input from one-based to zero-based and vice-versa
#'
#' @param i_pts    image coordinates for the distorted image (0-based).
#'                 These should be an array/matrix of 2x[however many points],
#'                 with x on the top and y on the bottom (or left/right).
#' @param one.based.input  boolean, whether input coords are 1-based or 0-based. Default 0-based.
#' @param one.based.output boolean, whether output coords are to be 1-based or 0-based. Default 0-based.
#' @return input, shifted by the appropriate amount depending on whether it should be 1- or 0-based.
#' @export
#' @keywords internal
oneBasedSwitch <- function( i_pts, one.based.input, one.based.output )
{
    if ( one.based.input == one.based.output )
        return( i_pts )
    else
        return( i_pts + ifelse(one.based.input, -1, +1) )
}
