\name{convertDistortionCoefficients}
\alias{convertDistortionCoefficients}
\title{convert distortion coefficients to/from vector/list}
\usage{
  convertDistortionCoefficients(..., return.what = "list")
}
\arguments{
  \item{...}{the input to convert. A named list or vector
  or just all the parameters.}

  \item{return.what}{a string, being 'list' or 'vector'.
  if 'vector', returns c(k1,k2,k3,p1,p2).  if 'list',
  returns list(k1=,k2=,k3=,p1=,p2=).}
}
\description{
  convert distortion coefficients to/from vector/list
}
\examples{
\dontrun{
convertDistortionCoefficients( k1,k2,k3,p1,p2, return.what='list' )
convertDistortionCoefficients( c(k1,k2,k3,p1,p2), return.what='list' )
convertDistortionCoefficients( list(k1=0,k2=0,k3=0,p1=0,p2=0), return.what='vector' )
}
}
\seealso{
  Other lensDistortion-internal:
  \code{\link{convertIntrinsicParameters}}
}
\keyword{internal}

