\name{convertIntrinsicParameters}
\alias{convertIntrinsicParameters}
\title{convert camera intrinsic parameters to/from matrix/list}
\usage{
  convertIntrinsicParameters(..., return.what = "matrix")
}
\arguments{
  \item{...}{the input to convert. A named list or vector
  or just all the parameters.  In the latter case, order is
  cx,cy,fx,fy.}

  \item{return.what}{a string, being 'list' or 'matrix'.
  if 'matrix', returns fx 0 cx 0 fy cy 0 0 1 if 'list',
  returns list(cx=,cy=,fx=,fy=).}
}
\description{
  convert camera intrinsic parameters to/from matrix/list
}
\examples{
\dontrun{
convertDistortionCoefficients( cx,cy,fx,fy, return.what='matrix' )
convertDistortionCoefficients( c(cx,cy,fx,fy), return.what='list' )
convertDistortionCoefficients( list(cx=10,cy=10,fx=10,fy=10), return.what='matrix' )
}
}
\seealso{
  Other lensDistortion-internal:
  \code{\link{convertDistortionCoefficients}}

  Other lensDistortion-internal:
  \code{\link{convertDistortionCoefficients}}
}
\keyword{internal}

